
#ifndef __PFQUEUE_H
#define __PFQUEUE_H

#include <pthread.h>
#include <sys/stat.h>

WINDOW *mainwnd;
WINDOW *lwnd;
WINDOW *mwnd, *mwndb;
WINDOW *hwnd;

char *bline;

int CURQ;	// Current queue
int CURROW;	// Current screen row
int CURMSG;     // Current message
int PREVMSG;	// Previous message (before change of CURMSG)
int PREVROW;	// Previous row (before change of CURROW)
int NUMMSG;	// # of messages in the queue
int FIRSTMSG;	// First msg shown in the list
int MAXROW;	// Max row for list
int WRK_TAGGED;	// Operate on tagged messages
int NUMTAG;	// Number of tagged messages
int MSG_MAX;    // Max messages to keep in a single queue
int COL1, COL2; // From/To columns for queue list
int FIRSTROW;	// First row for the list
int MSGMARK;	// Message marked with '.' key
int ISROOT;
bool ASK_CONFIRM;
bool DO_SCAN;

bool use_envelope;
int delay_time;

void msg_show();
void queue_show();

#define BUF_SIZE	250	// Strings buffer size

#ifndef TRUE
#define TRUE		1
#endif

#ifndef FALSE
#define FALSE		0
#endif

#ifndef NULL
#define NULL		0
#endif

struct stat foostat;

char *a_names[]={
	"hold",
	"delete",
	"release",
	"requeue"
};

char *help_text1 =
	"  Messages and action keys:\n"
	"  e) Toggle envelope reading for from/to\n"
	"  d) Delete message\n"
	"  h) Hold message\n"
	"  r) Requeue message\n"
	"  l) Release message in 'hold' queue\n"
	"  .) Mark message as tag block start\n"
	"  t) Tag/Untag message (up to mark if present)\n"
	"  a) Tag all messages\n"
	"  u) Untag all messages\n"
	"  ;) Make actions work on tagged messages\n"
	"  s) Show selected message\n"
	"  /) Search in From: or To: headers\n"
	"  n) Search next\n"
	"  p) Search previous\n"
	"  T) Search and tag messages\n"
	"  c) Toggle confirmation request\n"
	"  -) Suspend/resume queue scanning\n"
	"  +) Toggle colors on/off\n"
	"  ?) This help\n"
	"  q) Quit\n";

char *help_text2 =
	"  In the windows, you can use G/END, g/HOME, PgUP/DN keys\n"
	"  To change current queue:\n"
	"  1) Deferred queue\n"
	"  2) Active queue\n"
	"  3) Incoming queue\n"
	"  4) Hold queue\n"
;

pthread_t	queue_fill_thread_t;
pthread_mutex_t	queue_fill_mutex;

int		dig_lastqueue;

#define MSG_MAX_ROWS	500
#define MSG_MAX_COLS	80

#endif // __PFQUEUE_H
